Bug 3657 - Experimental DPMS support for GeForce4 and later laptops.
Summary: Experimental DPMS support for GeForce4 and later laptops.
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/nVidia (open) (show other bugs)
Version: git
Hardware: x86 (IA32) All
: medium normal
Assignee: Alan Coopersmith
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-06-29 08:48 UTC by Alan Coopersmith
Modified: 2005-07-03 23:42 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Description Alan Coopersmith 2005-06-29 08:48:43 UTC
Mark Vojkovich has provided a patch to the XFree86 nvidia driver to add DPMS
support for LVDS displays on GeForce4 and later laptops:

CVSROOT:	/home/x-cvs
Module name:	xc
Changes by:	mvojkovi@public.xfree86.org.	05/04/24 11:57:35

Log message:
     Experimental DPMS support for GeForce4 and later laptops.

Modified files:
      xc/programs/Xserver/hw/xfree86/drivers/nv/:
        nv_driver.c 
  
  Revision      Changes    Path
  1.134         +9 -5      xc/programs/Xserver/hw/xfree86/drivers/nv/nv_driver.c
Comment 1 Alan Coopersmith 2005-06-29 08:49:12 UTC
Assigning to me.
Comment 2 Alan Coopersmith 2005-06-29 08:53:29 UTC
Created attachment 2992 [details] [review]
Adjust num_open_faces before each call to _cairo_ft_unscaled_font_fini
Comment 3 Alan Coopersmith 2005-07-04 16:42:10 UTC
Committed to Xorg HEAD:

CVSROOT:	/cvs/xorg
Module name:	xc
Changes by:	alanc at gabe.freedesktop.org	05/06/29 08:56:24

Log message:
  2005-06-29  Alan Coopersmith  <alan.coopersmith at sun.com>
  
  	* programs/Xserver/hw/xfree86/drivers/nv/nv_driver.c (NVBacklightEnable):
  	Bugzilla #3657 <https://bugs.freedesktop.org/show_bug.cgi?id=3657>
  	Patch #2992 <https://bugs.freedesktop.org/attachment.cgi?id=2992>
  	Experimental DPMS support for GeForce4 and later laptops.
  	(Mark Vojkovich)

Modified files:
      ./:
        ChangeLog 
      xc/programs/Xserver/hw/xfree86/drivers/nv/:
        nv_driver.c 
  
  Revision      Changes    Path
  1.1046        +8 -0      xc/ChangeLog
  1.13          +8 -4      xc/programs/Xserver/hw/xfree86/drivers/nv/nv_driver.c


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.